BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/timeline/cut

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/timeline/cut" \  -H "Content-Type: application/json" \  -d '{    "timeline_item_id": "string",    "cuts": [      {        "start_seconds": 0,        "end_seconds": 0      }    ]  }'
{  "success": true,  "timeline_item_id": "string",  "cuts_applied": 0,  "created_splits": 0,  "deleted_segments": 0,  "deleted_words": 0,  "trimmed_following": 0,  "shifted_items": 0,  "message": "string"}